(function() {
	var CommonProblem = /*@__PURE__*/ (function(Component) {
		function CommonProblem(props) {
			Component.call(this, props);
		}

		if (Component) CommonProblem.__proto__ = Component;
		CommonProblem.prototype = Object.create(Component && Component.prototype);
		CommonProblem.prototype.constructor = CommonProblem;
		CommonProblem.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					{class: "nav"},
					apivm.h("image", {
						class: "back",
						src: "../../image/icon/back-black.png",
						onClick: this.back
					}),
					apivm.h("text", {class: "nav_title"}, "常见问题")
				)
			);
		};

		return CommonProblem;
	})(Component);
	CommonProblem.css = {
		".page": {minHeight: "100vh", background: "#F5F5F5"},
		".nav": {
			height: "44px",
			width: "100%",
			background: "#ffffff",
			borderBottom: "1px solid rgba(120, 120, 120, 0.1)",
			padding: "3px auto 5px",
			flexDirection: "row",
			justifyContent: "center",
			alignItems: "center",
			position: "relative"
		},
		".back": {position: "absolute", left: "40px", width: "20px", height: "40px"},
		".nav_title": {fontSize: "16px", fontWeight: "bold"}
	};
	apivm.define("common-problem", CommonProblem);
	apivm.render(apivm.h("common-problem", null), "body");
})();
