(function() {
	var Notice = /*@__PURE__*/ (function(Component) {
		function Notice(props) {
			Component.call(this, props);
			this.data = {
				noticeList: []
			};
		}

		if (Component) Notice.__proto__ = Component;
		Notice.prototype = Object.create(Component && Component.prototype);
		Notice.prototype.constructor = Notice;
		Notice.prototype.apiready = function() {
			this.data.noticeList = api.pageParam.noticeList;
		};
		Notice.prototype.close = function() {
			api.closeFrame();
		};
		Notice.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					{class: "dialog"},
					apivm.h("text", {class: "dialog-title"}, "课程消息"),
					apivm.h(
						"scroll-view",
						{class: "dialog_content"},
						(Array.isArray(this.data.noticeList)
							? this.data.noticeList
							: Object.values(this.data.noticeList)
						).map(function(item$1) {
							return apivm.h(
								"view",
								{class: "content-list"},
								apivm.h("text", {class: "item-title"}, item$1.title),
								apivm.h("text", {class: "item-text"}, item$1.content)
							);
						})
					),
					apivm.h("text", {class: "dialog-btn", onClick: this.close}, "确定")
				)
			);
		};

		return Notice;
	})(Component);
	Notice.css = {
		".page": {
			display: "flex",
			justifyContent: "center",
			alignItems: "center",
			height: "100%"
		},
		".dialog": {width: "290px", backgroundColor: "#fff", borderRadius: "4px"},
		".dialog-title": {
			fontSize: "14px",
			color: "#333",
			textAlign: "center",
			lineHeight: "20px",
			margin: "20px 15px 0 15px"
		},
		".dialog_content": {maxHeight: "375px", margin: "10px 15px"},
		".content-list": {margin: "5px 0"},
		".item-text": {
			lineHeight: "16px",
			fontSize: "12px",
			color: "#666",
			marginTop: "5px"
		},
		".dialog-btn": {
			height: "45px",
			borderTop: "1px solid #eee",
			lineHeight: "45px",
			textAlign: "center",
			fontSize: "14px",
			color: "#5538de"
		}
	};
	apivm.define("notice", Notice);
	apivm.render(apivm.h("notice", null), "body");
})();
