(function() {
	// 打开隐私政策
	function openPrivacyPolicy() {
		api.openTabLayout({
			name: "privacyPolicy",
			url: "https://vip.zhuokao360.com/terms/privacyPolicy/btzx.html",
			title: "隐私政策",
			navigationBar: {},
			avm: false
		});
	}

	// 打开用户协议
	function openUserAgreement() {
		api.openTabLayout({
			name: "userAgreement",
			url: "https://vip.zhuokao360.com/terms/userAgreement/btzx.html",
			title: "用户协议",
			navigationBar: {},
			avm: false
		});
	}

	// 打开APP备案编号
	function openAppBeiAn() {
		api.openTabLayout({
			name: "appBeiAn",
			url: "https://vip.zhuokao360.com/terms/BeiAn/btzx.html",
			title: "APP备案编号",
			navigationBar: {},
			avm: false
		});
	}

	var About = /*@__PURE__*/ (function(Component) {
		function About(props) {
			Component.call(this, props);
		}

		if (Component) About.__proto__ = Component;
		About.prototype = Object.create(Component && Component.prototype);
		About.prototype.constructor = About;
		About.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "about"},
				apivm.h("image", {class: "logo", src: "../../image/logo.png"}),
				apivm.h("text", {class: "about-h1"}, "百通在线"),
				apivm.h("text", {class: "about-span"}, "让学习变得更有计划！"),

				apivm.h(
					"view",
					{class: "agreement"},
					apivm.h(
						"view",
						{class: "agreement-item", onClick: openUserAgreement},
						apivm.h("text", null, "用户协议"),
						apivm.h("image", {
							class: "link_img",
							src: "../../image/default-icon-more.png"
						})
					),
					apivm.h(
						"view",
						{class: "agreement-item", onClick: openPrivacyPolicy},
						apivm.h("text", null, "隐私政策"),
						apivm.h("image", {
							class: "link_img",
							src: "../../image/default-icon-more.png"
						})
					),
					apivm.h(
						"view",
						{class: "agreement-item", onClick: openAppBeiAn},
						apivm.h("text", null, "备案编号"),
						apivm.h("image", {
							class: "link_img",
							src: "../../image/default-icon-more.png"
						})
					)
				)
			);
		};

		return About;
	})(Component);
	About.css = {
		".about": {
			display: "flex",
			justifyContent: "center",
			alignItems: "center",
			width: "100vw",
			height: "100%"
		},
		".logo": {width: "100px", height: "100px"},
		".about-h1": {
			fontSize: "16px",
			fontWeight: "bold",
			color: "#333",
			margin: "10px 0 5px"
		},
		".about-span": {fontSize: "14px", color: "#333"},
		".agreement": {display: "flex", width: "86%", margin: "60px 30px"},
		".agreement-item": {
			display: "flex",
			flexDirection: "row",
			justifyContent: "space-between",
			alignItems: "center",
			padding: "15px 0",
			borderBottom: "1px solid rgba(51, 51, 51, 0.1)"
		},
		".link_img": {width: "7px", height: "13px"}
	};
	apivm.define("about", About);
	apivm.render(apivm.h("about", null), "body");
})();
