// api接口请求地址
const BASEURL = 'https://cbt.tibaitong.com/';
// const BASEURL = 'https://wx.tibaitong.com/';
// const BASEURL = 'http://192.168.1.38:85/';

// 课程类型
const COURSE = {
  1: [
    {
      courseId: 1,
      courseName: "初级会计实务",
    },
    {
      courseId: 2,
      courseName: "经济法基础",
    },
  ],
  2: [
    {
      courseId: 3,
      courseName: "中级会计实务",
    },
    {
      courseId: 4,
      courseName: "经济法",
    },
    {
      courseId: 5,
      courseName: "财务管理",
    },
  ],
  3: [
    {
      courseId: 6,
      courseName: "会计",
    },
    {
      courseId: 7,
      courseName: "税法",
    },
    {
      courseId: 8,
      courseName: "经济法",
    },
    {
      courseId: 9,
      courseName: "财务成本管理",
    },
    {
      courseId: 10,
      courseName: "审计",
    },
    {
      courseId: 11,
      courseName: "公司战略与风险管理",
    },
  ],
  14: [
    {
      courseId: 37,
      courseName: "药学专业知识一",
    },
    {
      courseId: 38,
      courseName: "药学专业知识二",
    },
    {
      courseId: 39,
      courseName: "药学综合知识与技能",
    },
    {
      courseId: 44,
      courseName: "药事管理与法规",
    },
  ],
  15: [
    {
      courseId: 41,
      courseName: "中药学专业知识一",
    },
    {
      courseId: 42,
      courseName: "中药学专业知识二",
    },
    {
      courseId: 43,
      courseName: "中药学综合知识与技能",
    },
    {
      courseId: 44,
      courseName: "药事管理与法规",
    },
  ],
};

// 请求权限名字
const PERMISSIONNAME = {
  camera: '相机', // 相机/拍照/录像
  photos: '访问相册', // 访问相册|本地存储空间。Android上等同storage权限
  phone: '电话', // 直接拨打电话/获取手机号码|IMEI。只支持Android
  storage: '存储', // 读取/写入|相册|多媒体|本地存储空间。只支持Android
  'phone-r': '设备信息'
};

// 文件类型图标
const FILETYPE = {
  default: 'https://files.zhuokao360.com/images/fileType/unknown.png',
  txt: 'https://files.zhuokao360.com/images/fileType/txt.png',
  pdf: 'https://files.zhuokao360.com/images/fileType/pdf.png',
  doc: 'https://files.zhuokao360.com/images/fileType/word.png',
  docx: 'https://files.zhuokao360.com/images/fileType/word.png',
  ppt: 'https://files.zhuokao360.com/images/fileType/ppt.png',
  pptx: 'https://files.zhuokao360.com/images/fileType/ppt.png',
  rar: 'https://files.zhuokao360.com/images/fileType/rar.png',
  zip: 'https://files.zhuokao360.com/images/fileType/rar.png',
  jpg: 'https://files.zhuokao360.com/images/fileType/image.png',
  png: 'https://files.zhuokao360.com/images/fileType/image.png',
  mp4: 'https://files.zhuokao360.com/images/fileType/video.png',
};

export {
  BASEURL, COURSE, PERMISSIONNAME, FILETYPE,
};
