(function() {
	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
			this.data = {
				imgSrc: "",
				isLast: false,
				systemType: "android"
			};
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			var isAgree = api.getPrefs({sync: true, key: "isAgreeAgreement"});
			if (isAgree !== "true") {
				api.openFrame({
					name: "privacyStat",
					url: "../index/privacy-statement.stml",
					bgColor: "rgba(0, 0, 0, 0.7)",
					rect: {x: 0, y: 0, w: "auto", h: "auto"},
					slidBackEnabled: false
				});
			}
			var ref = api.pageParam;
			var imgSrc = ref.imgSrc;
			var isLast = ref.isLast;
			this.data.imgSrc = imgSrc;
			this.data.isLast = isLast;
			this.data.systemType = api.systemType;
		};
		Tpl.prototype.onStart = function() {
			if (!this.data.isLast) {
				api.setFrameGroupIndex({
					name: "welcomeFrameGroup",
					scroll: true,
					index: 1
				});
			} else {
				api.closeWin();
			}
		};
		Tpl.prototype.render = function() {
			return apivm.h(
				"view",
				{class: "page"},
				apivm.h(
					"view",
					null,
					apivm.h("view", {class: this.data.systemType == "ios" ? "top_ios" : ""}),
					apivm.h("view", {
						class: this.data.systemType == "ios" ? "bootom_ios" : ""
					}),
					apivm.h("image", {
						class: this.data.systemType == "ios" ? "image" : "",
						src: this.data.imgSrc,
						onClick: this.onStart
					})
				)
			);
		};

		return Tpl;
	})(Component);
	Tpl.css = {
		".top_ios": {height: "50%", backgroundColor: "#fff"},
		".bootom_ios": {height: "50%", backgroundColor: "#fff"},
		".image": {
			position: "absolute",
			left: "0",
			top: "50%",
			transform: "translateY(-50%)",
			width: "100%"
		}
	};
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
