(function() {
	/* eslint-disable global-require */
	var IMAGES_NORMAL = [
		"../../image/welcome/1@1080x1920.png",
		"../../image/welcome/2@1080x1920.png"
	];

	var IMAGES_WIDE = [
		"../../image/welcome/1@1536x2048.png",
		"../../image/welcome/2@1536x2048.png"
	];

	var Tpl = /*@__PURE__*/ (function(Component) {
		function Tpl(props) {
			Component.call(this, props);
		}

		if (Component) Tpl.__proto__ = Component;
		Tpl.prototype = Object.create(Component && Component.prototype);
		Tpl.prototype.constructor = Tpl;
		Tpl.prototype.apiready = function() {
			this.setWelcome();
		};
		Tpl.prototype.setWelcome = function() {
			var scale = api.screenWidth / api.screenHeight;
			var images = scale <= 9 / 16 ? IMAGES_NORMAL : IMAGES_WIDE;

			var frames = [];
			for (var i = 0; i < images.length; i++) {
				frames.push({
					name: "frame-" + i,
					url: "./frame.stml",
					pageParam: {
						imgSrc: images[i],
						isLast: !(i < images.length - 1)
					}
				});
			}

			api.openFrameGroup({
				name: "welcomeFrameGroup",
				rect: {
					x: 0,
					y: 0,
					w: "auto",
					h: "auto"
				},

				frames: frames
			});

			// btzx.setNonFirstLaunch();
		};
		Tpl.prototype.render = function() {
			return apivm.h("view", {class: "page"});
		};

		return Tpl;
	})(Component);
	apivm.define("tpl", Tpl);
	apivm.render(apivm.h("tpl", null), "body");
})();
