import * as cedar from './cedar';
var ajpush = null; // 极光推送模块


// 初始化
function jpushInit() {
  if (!ajpush) {
    ajpush = api.require("ajpush");
    // 初始化推送服务，只Android有效，iOS上会自动初始化 
    ajpush.init(function(res){
      console.log("init:"+JSON.stringify(res));
      JPush_getId();
    });
  }
}


// 获取该设备的标识 RegistrationID
function JPush_getId() {
  ajpush.getRegistrationId(ret => {
    if (ret) {
      var registrationId = ret.id;
      cedar.storage.set("registrationId", registrationId);
    }
  });
}

export {
  JPush_getId,
  jpushInit
};